•   
  • 1
  • 30
  • 31
  • 32
  • 33(current)
  • 34
  •   
Broken Yahoo! Weather
(2021-03-09, 12:48)Klojum Wrote:
(2021-03-09, 12:29)hfam Wrote: I don't have the light blue edit button, nor do I have the Quick edit or Full options either.

It's simple. As a newcomer to our forum, certain anti-spam measures are active for a certain period.
After that you will have full credentials as well as edit options next to your posts.
Sensible precaution.

How long is the certain period, if you are allowed to say?
(2021-03-09, 12:50)Jeffers24 Wrote: How long is the certain period, if you are allowed to say?

I'm not. Wink
Got a Kodi problem? Provide a full Debug log (wiki) | Usefull pages: First time user (wiki) | Troubleshooting (wiki) | Free content (wiki) | Forum rules (wiki) | VPN policy (wiki)
Ahhhh, thanks for the help and confirmation fellas. Maybe a mod can delete it if it's a nuisance. Otherwise I'll come back and clean it up when I have edit privs. Thanks again for the assist.
(2021-03-09, 10:54)hfam Wrote: Not worth going through the rest of 5.1.0, but I do know I don't trust a dev who's proven himself to be so petty and small he'd further break an app he's already declared he's dropped support for, and with intent deny users who can't yet update to Matrix keeping it alive. In my 20 years of xbmc/kodi I've never seen such a childish display of bad taste and vindictive coding.

That really is a dick move. I can understand not wanting to continue working on it but to release an update just to break it when the community has shown it can be fixed is just amazing.

It's a good thing no one is getting paid.
(2021-03-07, 20:18)frodo19 Wrote:
(2021-03-05, 23:38)ronie Wrote: there will not be any updates (at least not from me) for yahoo weather.
i have no plans to keep this addon, or any of my other python 2 / Kodi 18 addons alive.
python 2 is dead, therefor Kodi 18 is dead and it should no longer be used.

please use the Multi Weather addon with Kodi 19 instead.
"Kodi 18 is dead "

WhatHuh

Kodi 18 is most certainly NOT dead. To say so is absolute ignorance. As long as OSMC doesn't use Kodi 19, I cannot use Kodi 19. As long as many add-ons don't function under Kodi 19, I cannot use Kodi 19. Kodi 18 will be completely relevant and alive until it is no longer used as the basis for major media center distributions like OSMC. I understand ronie's desire to move on, and appreciate all the work he's put into these addons, but to completely remove it from my machine without my permission while it still worked perfectly fine just plain pisses me off! It was the only weather addon I could get to actually work for my city with any level of accuracy, and now I literally have nothing. Rude and uncalled for. Don't want to keep the Yahoo weather addon going? That's fine. Let people know it's unsupported and move on. But let people keep it installed as it was on their system until it actually stops working at least. I don't see what the problem with that is. This just torques me off.
(2021-03-11, 08:24)mikefreeman Wrote:
(2021-03-07, 20:18)frodo19 Wrote:
(2021-03-05, 23:38)ronie Wrote: there will not be any updates (at least not from me) for yahoo weather.
i have no plans to keep this addon, or any of my other python 2 / Kodi 18 addons alive.
python 2 is dead, therefor Kodi 18 is dead and it should no longer be used.

please use the Multi Weather addon with Kodi 19 instead.
"Kodi 18 is dead "

WhatHuh

Kodi 18 is most certainly NOT dead. To say so is absolute ignorance. As long as OSMC doesn't use Kodi 19, I cannot use Kodi 19. As long as many add-ons don't function under Kodi 19, I cannot use Kodi 19. Kodi 18 will be completely relevant and alive until it is no longer used as the basis for major media center distributions like OSMC. I understand ronie's desire to move on, and appreciate all the work he's put into these addons, but to completely remove it from my machine without my permission while it still worked perfectly fine just plain pisses me off! It was the only weather addon I could get to actually work for my city with any level of accuracy, and now I literally have nothing. Rude and uncalled for. Don't want to keep the Yahoo weather addon going? That's fine. Let people know it's unsupported and move on. But let people keep it installed as it was on their system until it actually stops working at least. I don't see what the problem with that is. This just torques me off.
There's a working version here:- https://forum.kodi.tv/showthread.php?tid...pid3020873

Make sure you turn Yahoo Weather addon auto update off before you install, or you will be updated to the non-working version again.
(2021-03-11, 08:30)Jeffers24 Wrote: There's a working version here:- https://forum.kodi.tv/showthread.php?tid...pid3020873

Make sure you turn Yahoo Weather addon auto update off before you install, or you will be updated to the non-working version again.

Thank you for the link. However, I've tried that and after seeing their spinning dots animation for a minute or so, I keep getting an error from the sendfile site.
I just wanna watch this play out through notifications, new favorite thread Devil
Who checks their weather in a media player?
(2021-03-11, 08:51)mikefreeman Wrote:
(2021-03-11, 08:30)Jeffers24 Wrote: There's a working version here:- https://forum.kodi.tv/showthread.php?tid...pid3020873

Make sure you turn Yahoo Weather addon auto update off before you install, or you will be updated to the non-working version again.

Thank you for the link. However, I've tried that and after seeing their spinning dots animation for a minute or so, I keep getting an error from the sendfile site.
Download v5.0.7 from link in this post:- https://forum.kodi.tv/showthread.php?tid...pid3021301
Switch off Yahoo auto update.
Install 5.0.7 and replace default .py with the version you downloaded from this post:- https://forum.kodi.tv/showthread.php?tid...pid3020873
Exit and restart Kodi, should work
The best is Yahoo weather.
(2021-03-11, 09:49)Jeffers24 Wrote:
(2021-03-11, 08:51)mikefreeman Wrote:
(2021-03-11, 08:30)Jeffers24 Wrote: There's a working version here:- https://forum.kodi.tv/showthread.php?tid...pid3020873

Make sure you turn Yahoo Weather addon auto update off before you install, or you will be updated to the non-working version again.

Thank you for the link. However, I've tried that and after seeing their spinning dots animation for a minute or so, I keep getting an error from the sendfile site.
Download v5.0.7 from link in this post:- https://forum.kodi.tv/showthread.php?tid...pid3021301
Switch off Yahoo auto update.
Install 5.0.7 and replace default .py with the version you downloaded from this post:- https://forum.kodi.tv/showthread.php?tid...pid3020873
Exit and restart Kodi, should work

This works perfectly. While clearly the dev can do anything they want it seems strange to disable the addon when the fix for those of us that still need to run Leia is rather simple. Many of us, for many different reasons, can’t move to Matrix yet.
After the upgrade to 5.1.0 I get this from time to time
Code:
2021-03-15 08:55:07.218 T:140040218863360   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.KeyError'>
                                            Error Contents: 'weathers'
                                            Traceback (most recent call last):
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 286, in <module>
                                                forecast(location, locationid)
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 142, in forecast
                                                properties(data, loc, locid)
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 166, in properties
                                                data = response['weathers'][0]
                                            KeyError: 'weathers'
                                            -->End of Python script error report<--
It happened today and 2 more times last week, so it is not a big issue right now. Yahoo weather 5.1.0 plus the patched default.py, on kodi 18.9 in libreelec x64 9.2.6.
The reason I used 5.1.0 is because kodi sees it as the latest version and won't upgrade to the broken one. Shall I move back to 5.0.7 and disable auto update just for yahoo weather?
I would move to kodi 19, but I don't think libreelec 10 will be ready before kodi 19.1.
(2021-03-15, 19:03)jim_p Wrote: After the upgrade to 5.1.0 I get this from time to time
Code:
2021-03-15 08:55:07.218 T:140040218863360   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.KeyError'>
                                            Error Contents: 'weathers'
                                            Traceback (most recent call last):
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 286, in <module>
                                                forecast(location, locationid)
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 142, in forecast
                                                properties(data, loc, locid)
                                              File "/storage/.kodi/addons/weather.yahoo/default.py", line 166, in properties
                                                data = response['weathers'][0]
                                            KeyError: 'weathers'
                                            -->End of Python script error report<--
It happened today and 2 more times last week, so it is not a big issue right now. Yahoo weather 5.1.0 plus the patched default.py, on kodi 18.9 in libreelec x64 9.2.6.
The reason I used 5.1.0 is because kodi sees it as the latest version and won't upgrade to the broken one. Shall I move back to 5.0.7 and disable auto update just for yahoo weather?
I would move to kodi 19, but I don't think libreelec 10 will be ready before kodi 19.1.
I thought 5.1.0 is the one that causes the break.

I would switch off Yahoo autoupdate, DL and install 5.0.7 and apply the default.py fix and should be good to go.
(2021-03-14, 17:35)wags1 Wrote: This works perfectly. While clearly the dev can do anything they want it seems strange to disable the addon when the fix for those of us that still need to run Leia is rather simple. Many of us, for many different reasons, can’t move to Matrix yet.

It won't matter soon.  Yahoo are closing down the API that the addon uses on 1st May 2021 and after that date it won't work anyway...
Learning Linux the hard way !!
(2021-03-15, 19:26)black_eagle Wrote:
(2021-03-14, 17:35)wags1 Wrote: This works perfectly. While clearly the dev can do anything they want it seems strange to disable the addon when the fix for those of us that still need to run Leia is rather simple. Many of us, for many different reasons, can’t move to Matrix yet.

It won't matter soon.  Yahoo are closing down the API that the addon uses on 1st May 2021 and after that date it won't work anyway...
I guess that will cause an issue with multiweather addon that I have installed in Kodi 19 as well :-(
  •   
  • 1
  • 30
  • 31
  • 32
  • 33(current)
  • 34
  •   



Logout Mark Read Team Forum Stats Members Help
Yahoo! Weather1
This forum uses Lukasz Tkacz MyBB addons.